aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-misc/jwnl
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/jwnl')
-rw-r--r--sci-misc/jwnl/ChangeLog8
-rw-r--r--sci-misc/jwnl/Manifest5
-rw-r--r--sci-misc/jwnl/jwnl-1.3_rc3.ebuild47
-rw-r--r--sci-misc/jwnl/metadata.xml12
4 files changed, 72 insertions, 0 deletions
diff --git a/sci-misc/jwnl/ChangeLog b/sci-misc/jwnl/ChangeLog
new file mode 100644
index 000000000..b5f307c19
--- /dev/null
+++ b/sci-misc/jwnl/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for sci-misc/jwnl
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*jwnl-1.3_rc3 (03 Jan 2008)
+
+ 03 Jan 2008; Flammie Pirinen <flammie@gentoo.org> +jwnl-1.3_rc3.ebuild :
+ Initial import.
diff --git a/sci-misc/jwnl/Manifest b/sci-misc/jwnl/Manifest
new file mode 100644
index 000000000..e9b9bd5fe
--- /dev/null
+++ b/sci-misc/jwnl/Manifest
@@ -0,0 +1,5 @@
+DIST jwnl13rc3.zip 640112 RMD160 798ce5c8a20df08d6adde44255677b5ee71708e6 SHA1 720bfd4632f0efc47b185aa06aa1da41dca342a9 SHA256 6c0cbfa0dfc19e5d773255c684398cf38970312ae955a99a128c826830a785ad
+DIST jwnl13rc3_src.zip 109993 RMD160 b091421cf771e13a2758715e888d533124b5e776 SHA1 a7755e3710287d4462dfce3ee171bad885e17b08 SHA256 d00d1102ab6c9731c48570583d6f7d21faba50a670e1d44d17fb994fd2a9e912
+EBUILD jwnl-1.3_rc3.ebuild 1202 RMD160 5c4eda51fb7c80cea616511145ae9c317173e675 SHA1 c726d28540de42e91ee1ff156b3f20e38f721d59 SHA256 2f917a5ca65046e02d5db7981e91e11ea86d2c3fdb25e4f3facc57012a0b502b
+MISC ChangeLog 236 RMD160 61f4bcf0e4606da0a4df2b12598b8c65e6826378 SHA1 c63dc2a593cfbd676a81ed53dccca4624b70199d SHA256 5b80b71289eaa5679b410b3cf17ad79ae04a049b7d8dac6c74aabeda8d88bbee
+MISC metadata.xml 342 RMD160 fd059c7c999945259f1a29c60776136f08cd1072 SHA1 0052cee54eba1992a1aed3d74935116e99030cdf SHA256 6d5a15f68717cdfcea236046f217cc527e6a655c39d996127b86974a6b994171
diff --git a/sci-misc/jwnl/jwnl-1.3_rc3.ebuild b/sci-misc/jwnl/jwnl-1.3_rc3.ebuild
new file mode 100644
index 000000000..4f7da3a48
--- /dev/null
+++ b/sci-misc/jwnl/jwnl-1.3_rc3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils versionator java-pkg-2 java-utils-2
+
+MY_P=${PN}$(delete_all_version_separators)
+DESCRIPTION="Java interface to WordNet dictionary data"
+HOMEPAGE="http://jwordnet.sf.net"
+SRC_URI="mirror://sourceforge/jwordnet/${MY_P}_src.zip
+ mirror://sourceforge/jwordnet/${MY_P}.zip"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86"
+
+COMMON_DEP="dev-java/commons-logging"
+DEPEND=">=virtual/jdk-1.4
+ ${COMMON_DEP}"
+RDEPEND=">=virtual/jre-1.4
+ ${COMMON_DEP}"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cd "${S}"
+ unpack ${A}
+ rm -v commons-logging.jar jwnl.jar || die
+}
+
+src_compile() {
+ # picked up from dev-java/ant-eclipse-ecj
+ ejavac -classpath "$(java-pkg_getjars commons-logging)" \
+ `find net -name '*.java'` || die "ejavac failed"
+ find net -name '*.class' -o -name '*.properties' | \
+ xargs jar cf "${S}/${PN}.jar" || die "jar failed"
+}
+
+src_install() {
+ java-pkg_dojar ${PN}.jar utilities.jar
+ dodir /usr/share/${PN}
+ insinto /usr/share/${PN}
+ doins create.sql database_properties.xml file_properties.xml \
+ jwnl_properties.dtd jwnl_properties.xsd map_properties.xml
+ dodoc changes.txt
+}
+
diff --git a/sci-misc/jwnl/metadata.xml b/sci-misc/jwnl/metadata.xml
new file mode 100644
index 000000000..94cd5cf0b
--- /dev/null
+++ b/sci-misc/jwnl/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>flammie@gentoo.org</email>
+</maintainer>
+<longdescription>
+ Java based programming interface for accessing wordnet style dictionary
+ data.
+</longdescription>
+</pkgmetadata>